Ravens PHP Scripts

PhpWiki *UpLoad* PHP Script Upload Vulnerability
Date: Saturday, April 14, 2007 @ 13:13:10 PDT
Topic: Security


SECUNIA ADVISORY ID: SA24888

VERIFY ADVISORY: http://secunia.com/advisories/24888/

CRITICAL: Highly critical

IMPACT: System access

WHERE: >From remote

SOFTWARE: PhpWiki 1.x - http://secunia.com/product/5318/

DESCRIPTION: A vulnerability has been discovered in PhpWiki, which can be exploited by malicious people to compromise a vulnerable system.


The "UpLoad" wiki page (index.php/UpLoad) fails to properly validate the extension of an uploaded file. The blacklist of disallowed file extensions does not include for example ".php3" and ".phtml". This can be exploited to upload files with such extensions and execute arbitrary PHP code on the server. Successful exploitation requires being logged in and that the webserver is configured to execute PHP scripts with such extensions. In the default configuration of PhpWiki, no registration or validation is necessary to log in. The vulnerability is confirmed in version 1.3.12p3. Other versions may also be affected.

NOTE: The vulnerability is currently being actively exploited.

SOLUTION: Disable the UpLoad functionality by giving the file "lib/plugin/UpLoad.php" the permissions 000 or by moving the file outside of the web tree.

PROVIDED AND/OR DISCOVERED BY: Discovered as a 0-day.

ORIGINAL ADVISORY: PhpWiki: http://www.nabble.com/Important-UpLoad-security-fix%21-was--Fwd%3A--phpwiki---Open-Discussion--RE%3A-upload-security-risk--t3543463.html

OTHER REFERENCES: US-CERT VU#914793: http://www.kb.cert.org/vuls/id/914793






This article comes from Ravens PHP Scripts
http://www.ravenphpscripts.com

The URL for this story is:
http://www.ravenphpscripts.com/modules.php?name=News&file=article&sid=2859